{% extends 'core/base_bs.html' %}
{% load humanize %}
{% load i18n static %}

{% block meta %}
    {{ block.super }}
    <meta name="copyright" content="New Cameroon">
    <meta name="abstract" content="{% trans "Find the nearest ELECAM registration spot." %}"/>
    <meta name="description" content="{% trans "Take action to be part of new Cameroon ahead. It starts by registration on the electoral file. Find a spot near you, share and help other people find theirs." %}"/>

    <meta property="og:type" content="website"/>
    <meta property="og:site_name" content="New Cameroon">
    <meta property="og:title" content="{% trans "Find the nearest ELECAM registration spot." %}"/>
    <meta property="og:description" content="{% trans "Find the nearest ELECAM registration spot." %}"/>
    <meta property="og:url" content="{% url 'home' %}"/>
    <meta property="og:image" content="{% static 'newcameroon/img/happy-person.jpg' %}"/>
{% endblock %}

{% block page_title %}
    <title>{% trans "Add an ELECAM registration spot." %}</title>
{% endblock %}

{% block head_style %}
    {{ block.super }}
    <link rel="stylesheet" href="{% static 'newcameroon/css/registration.css' %}">
{% endblock %}

{% block content %}
    <div class="text-center">
{#        <img src="{% static 'newcameroon/img/add-spot.jpg' %}" width="150" alt="add spot" />#}
        <img src="{% static 'newcameroon/img/cameroon-flag.jpg' %}" alt="Cameroon flag" />
    </div>
    <div class="container">
        <div class="text-center">
            <h2 class="page-title text-center" style="float: none; margin-bottom: 30px">{% trans "Thank you for your donation." %}</h2>
            <p class="text-center">{% trans "Please spread the word now." %}</p>
            <p style="font-size: 90px">📢</p>
            <p>
                <a href="" class="whatsapp-share btn btn-green" style="width: 180px">
                    <i class="fa fa-share-alt"></i>
                    <span>{% trans "Share" %}</span>
                </a>
            </p>
            <p class="text-center" style="margin-top: 45px">
                <a href="{% url 'home' %}">
                    {% trans "Return home" %}
                </a>
            </p>
        </div>
    </div>
{% endblock %}

{% block js %}
    {{ block.super }}
    <script>
        (() => {
            let msg = "{% trans "If you were not yet registered, find the nearest ELECAM spot and go get registered." %}",
                url = `{{ service.url }}`;
            $('.whatsapp-share').prop('href', 'https://api.whatsapp.com/send?text=' + url + '%0A%0A' + msg)
        })()
    </script>
{% endblock %}
